Bug 804052 - [abrt] kernel: kernel BUG at drivers/gpu/drm/i915/i915_gem.c:3330!
[abrt] kernel: kernel BUG at drivers/gpu/drm/i915/i915_gem.c:3330!
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
abrt_hash:7844b693a2a72d9b04c6048149f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-16 08:20 EDT by Soaring Eagle
Modified: 2013-02-13 03:18 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 03:18:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Soaring Eagle 2012-03-16 08:20:30 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.2.9-2.fc16.x86_64 root=/dev/mapper/vg_hawkserver16-lv_root ro rd.md=0 rd.dm=0 rd.luks.uuid=luks-32a9867f-a8d0-452d-8852-2f973c287c94 rd.luks.uuid=luks-36097f07-fe12-49fc-8a80-5af0755f7670 SYSFONT=latarcyrheb-sun16 rd.lvm.lv=vg_hawkserver16/lv_root rd.lvm.lv=vg_hawkserver16/lv_swap LANG=en_US.UTF-8 KEYTABLE=us quiet rhgb
event_log:      2012-03-16-07:19:36> Smolt profile successfully saved
kernel:         3.2.9-2.fc16.x86_64
reason:         kernel BUG at drivers/gpu/drm/i915/i915_gem.c:3330!
time:           Wed 14 Mar 2012 05:57:56 PM CDT

backtrace:
:kernel BUG at drivers/gpu/drm/i915/i915_gem.c:3330!
:invalid opcode: 0000 [#1] SMP 
:CPU 1 
:Modules linked in: fuse ip6table_filter ip6_tables ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack xt_CHECKSUM iptable_mangle tun bridge stp llc be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi snd_ens1371 gameport ath5k snd_rawmidi snd_ac97_codec ath ac97_bus mac80211 cfg80211 snd_seq snd_seq_device snd_pcm snd_timer snd soundcore snd_page_alloc dcdbas microcode iTCO_wdt i2c_i801 joydev rfkill e100 iTCO_vendor_support nfsd mii serio_raw lockd nfs_acl auth_rpcgss uinput sunrpc binfmt_misc xts gf128mul dm_crypt i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 2203, comm: kwin Not tainted 3.2.9-2.fc16.x86_64 #1 Dell Inc.                 Dell DV051                   /0WJ770
:RIP: 0010:[<ffffffffa008777c>]  [<ffffffffa008777c>] i915_gem_object_pin+0x15c/0x1a0 [i915]
:RSP: 0018:ffff880054fd5b78  EFLAGS: 00010246
:RAX: 00000000000be402 RBX: ffff880078a98400 RCX: 0000000000000001
:RDX: 000000000001e000 RSI: 0000000000000000 RDI: ffff880078a98400
:RBP: ffff880054fd5ba8 R08: ffff88007b03d700 R09: 0000000000000000
:R10: ffff880055d53300 R11: 0000000000000040 R12: 0000000000000000
:R13: 0000000000000000 R14: ffff88007b03c000 R15: 0000000000000004
:FS:  00007f9eb390d840(0000) GS:ffff88007f440000(0000) knlGS:0000000000000000
:CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
:CR2: 00007f9f6b9bc000 CR3: 0000000054e88000 CR4: 00000000000006e0
:DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:Process kwin (pid: 2203, threadinfo ffff880054fd4000, task ffff8800775d4590)
:Stack:
: ffff880054fd5b98 ffff880054fd5c80 ffff880078a98400 ffff880054fd5bd8
: ffff880054fd5ce0 ffff880055d53301 ffff880054fd5c18 ffffffffa008a3d5
: ffff880054fd5c18 ffffffff811661dc 0000000054fd5be8 ffff88007b03c040
:Call Trace:
: [<ffffffffa008a3d5>] i915_gem_execbuffer_reserve+0x185/0x370 [i915]
: [<ffffffff811661dc>] ? __kmalloc+0x13c/0x1a0
: [<ffffffffa008afe7>] i915_gem_do_execbuffer+0x677/0x14e0 [i915]
: [<ffffffff81186bea>] ? complete_walk+0x7a/0xf0
: [<ffffffff811661ed>] ? __kmalloc+0x14d/0x1a0
: [<ffffffffa008c313>] i915_gem_execbuffer2+0xa3/0x260 [i915]
: [<ffffffffa0022474>] drm_ioctl+0x444/0x510 [drm]
: [<ffffffffa008c270>] ? i915_gem_execbuffer+0x420/0x420 [i915]
: [<ffffffff8117fad8>] ? cp_new_stat+0xf8/0x110
: [<ffffffff8118cb18>] do_vfs_ioctl+0x98/0x550
: [<ffffffff8118d061>] sys_ioctl+0x91/0xa0
: [<ffffffff815ec682>] system_call_fastpath+0x16/0x1b
:Code: e8 1a 4a 24 e1 e9 81 ff ff ff 0f 1f 44 00 00 41 0f b6 d5 44 89 e6 48 89 df e8 51 c4 ff ff 85 c0 0f 84 3d ff ff ff e9 82 ff ff ff <0f> 0b 0f b6 83 e2 00 00 00 8b 8b 20 01 00 00 45 0f b6 cd 45 89 
:RIP  [<ffffffffa008777c>] i915_gem_object_pin+0x15c/0x1a0 [i915]
: RSP <ffff880054fd5b78>

smolt_data:
:
:
:General
:=================================
:UUID: 02067409-0e9f-4563-b32e-187ce7bd9f8b
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 6118.06
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Pentium(R) 4 CPU 3.06GHz
:CPU Stepping: 9
:CPU Family: 15
:CPU Model Num: 4
:Number of CPUs: 2
:CPU Speed: 3066
:System Memory: 1994
:System Swap: 3999
:Vendor: Dell Inc.
:System: Dell DV051 
:Form factor: Mini Tower
:Kernel: 3.2.7-1.fc16.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:9792:0:0) pci, None, PCI/ISA, 82801FB/FR (ICH6/ICH6R) LPC Interface Bridge
:(32902:4196:4136:452) pci, e100, ETHERNET, 82562ET/EZ/GT/GZ - PRO/100 VE (LOM) Ethernet Controller
:(4724:4977:4724:4977) pci, snd_ens1371, MULTIMEDIA_AUDIO, Creative Sound Blaster AudioPCI64V, AudioPCI128
:(32902:9602:4136:452) pci, i915, VIDEO, 82915G/GV/910GL Integrated Graphics Controller
:(32902:9810:4136:452) pci, ahci, STORAGE, 82801FR/FRW (ICH6R/ICH6RW) SATA Controller
:(32902:9824:0:0) pci, pcieport, PCI/PCI, 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 1
:(32902:9826:0:0) pci, pcieport, PCI/PCI, 82801FB/FBM/FR/FW/FRW (ICH6 Family) PCI Express Port 2
:(32902:9839:4136:452) pci, ata_piix, STORAGE, 82801FB/FBM/FR/FW/FRW (ICH6 Family) IDE Controller
:(32902:9834:4136:452) pci, i801_smbus, SERIAL, 82801FB/FBM/FR/FW/FRW (ICH6 Family) SMBus Controller
:(32902:9294:0:0) pci, None, PCI/PCI, 82801 PCI Bridge
:(5772:26:6041:28684) pci, None, ETHERNET, F5D7000 v5000 Wireless G Desktop Card
:(32902:9817:4136:452) pci, uhci_hcd, USB, 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #2
:(32902:9816:4136:452) pci, uhci_hcd, USB, 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #1
:(32902:9600:4136:452) pci, agpgart-intel, HOST/PCI, 82915G/P/GV/GL/PL/910GL Memory Controller Hub
:(32902:9818:4136:452) pci, uhci_hcd, USB, 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #3
:(32902:9819:4136:452) pci, uhci_hcd, USB, 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB UHCI #4
:(32902:9820:4136:452) pci, ehci_hcd, USB, 82801FB/FBM/FR/FW/FRW (ICH6 Family) USB2 EHCI Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_hawkserver16-lv_root / ext4 4096 4096 13081819 2012156 1356796 3276800 2237311 2237311
:/dev/sdb2 /boot ext4 1024 1024 508745 408129 382529 128016 127786 127786
:/dev/mapper/vg_hawkserver16-lv_home /home ext4 4096 4096 66237747 56264933 52949221 16580608 16415265 16415265
:/dev/sdd1 WITHHELD fuseblk UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:/dev/sdd2 WITHHELD fuseblk UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:
Comment 1 Fedora End Of Life 2013-01-16 05:03:43 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 03:18:12 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.